package com.ruoyi.project.training.newstaff.service;

import java.util.List;
import com.ruoyi.project.training.newstaff.domain.TTnTransferplan;

/**
 * 转岗培训Service接口
 *
 * @author ruoyi
 * @date 2023-07-05
 */
public interface ITTnTransferplanService
{
    /**
     * 查询转岗培训
     *
     * @param id 转岗培训ID
     * @return 转岗培训
     */
    public TTnTransferplan selectTTnTransferplanById(Long id);

    /**
     * 查询转岗培训列表
     *
     * @param tTnTransferplan 转岗培训
     * @return 转岗培训集合
     */
    public List<TTnTransferplan> selectTTnTransferplanList(TTnTransferplan tTnTransferplan);

    /**
     * 新增转岗培训
     *
     * @param tTnTransferplan 转岗培训
     * @return 结果
     */
    public int insertTTnTransferplan(TTnTransferplan tTnTransferplan);

    /**
     * 修改转岗培训
     *
     * @param tTnTransferplan 转岗培训
     * @return 结果
     */
    public int updateTTnTransferplan(TTnTransferplan tTnTransferplan);

    /**
     * 批量删除转岗培训
     *
     * @param ids 需要删除的转岗培训ID
     * @return 结果
     */
    public int deleteTTnTransferplanByIds(Long[] ids);

    /**
     * 删除转岗培训信息
     *
     * @param id 转岗培训ID
     * @return 结果
     */
    public int deleteTTnTransferplanById(Long id);

    int batchStatusByIds(Long[] ids);
}
